.btn {
  &,
  &:link,
  &:visited {
    text-transform: uppercase;
    padding: 1.5rem 4rem;
    display: inline-block;
    text-decoration: none;
    border-radius: 10rem;
    transition: all 0.2s;
    position: relative;
    font-size: 1.6rem;

    border: none;
    cursor: pointer;
  }

  &:hover {
    transform: translateY(-3px);
    box-shadow: 0px 10px 20px rgba($color-black, 0.2);

    &::after {
      transform: scalex(1.4) scaleY(1.6);
      opacity: 0;
    }
  }

  &:active,
  &:focus {
    outline: none;
    transform: translateY(-1px);
    box-shadow: 0px 5px 10px rgba($color-black, 0.2);
  }

  &--white {
    background-color: $color-white;
    color: $color-gray-dark;

    &::after {
      background-color: $color-white;
    }
  }

  &--green {
    background-color: $color-primary;
    color: $color-white;

    &::after {
      background-color: $color-primary;
    }
  }

  &::after {
    content: "";
    display: inline-block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    transition: all 0.4s;
    border-radius: 10rem;
  }

  &--animated {
    animation: moveInBottom 0.5s ease-out 0.75s;
    animation-fill-mode: backwards;
  }
}

.btn-text {
  &:link,
  &:visited {
    font-size: 1.6rem;
    color: $color-primary;
    display: inline-block;
    border-bottom: 1px solid $color-primary;
    padding: 3px;
    text-decoration: none;
    transition: all 0.2s;
  }

  &:hover {
    background-color: $color-primary;
    color: $color-white;
    transform: translateY(-2px);
    box-shadow: 0rem 1rem 2rem rgba($color-black, 0.15);
  }

  &:active {
    transform: translateY(0px);
    box-shadow: 0rem 0.5rem 1rem rgba($color-black, 0.15);
  }
}
